Status: Resolved Priority: Should have
Author: Robert Lemke Category: FLOW3 Persistence
Created: 2009-02-12 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Sprint:
Subject: Clean up Data Mapper test case
Description

The tests in the data mapper cover too many methods at once - basically it's functional tests for the whole class (and some others) by
calling the map() method.

Please split up the tests so they only focus on one method at once and mock the others (ie. work with a mocked DataMapper in the
first place).

see thawPropertiesSetsPropertyValues()

Associated revisions
Revision 69d850aa - 2009-02-12 16:59 - Robert Lemke

    -  FLOW3: (Object) In the Object Builder renamed createSkeleton() to createEmptyObject and all *SetterProperties() method to *Propertiers().
    -  FLOW3: (Object) Moved the thawProperties() method to the TYPO3CR package
    -  TYPO3CR: Cleaned up (a bit) the Data Mapper test case. Needs more work! Refs #2623

History
#1 - 2009-03-24 12:29 - Karsten Dambekalns
- Status changed from New to Resolved

Fixed as of r1972...

#2 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
